#!/usr/bin/perl -w

package DanovaKalkulacka;

BEGIN {
    use src::MymoneyUI;
};


use strict;


#use Encode;
use utf8;
#use open ':utf8', ':std';

use Gtk2;
init Gtk2;

use lib "./";
use lib::_DanovaKalkulacka;

my $MyUI;
my %MyMoney;

my $setup_values=0;
sub run {
    my ($class,%params) = @_;

    %MyMoney=%params;
    my $window=$class;
    $MyUI=$class;
    my $self=$class;
    
    $MyUI=$window;

    $window->FORM->{'_danova_kalkulacka'}=new _DanovaKalkulacka;
    $window->FORM->{'_danova_kalkulacka'}->init;
    $window->FORM->{'_danova_kalkulacka'}->set_sazbydph($MyMoney{'RokData'}->get('snizena_sazba_dph'),$MyMoney{'RokData'}->get('zakladni_sazba_dph'));
    $window->FORM->{'_danova_kalkulacka'}->reparent($window->FORM->{'hbox_kalkulacka'});
    $window->FORM->{'_danova_kalkulacka'}->show;
   
    $setup_values=1; 
    if($MyMoney{'MainCfg'}->get('DanovaKalkulacka_zaokrouhleni_dph')) {
        $MyUI->FORM->{'zaokrouhleni_dph'}->set_history($MyMoney{'MainCfg'}->get('DanovaKalkulacka_zaokrouhleni_dph'));
    } else {
        $MyUI->FORM->{'zaokrouhleni_dph'}->set_history(0);
    };
    if($MyMoney{'MainCfg'}->get('DanovaKalkulacka_zaokrouhleni_dph_m')) {
        $MyUI->FORM->{'zaokrouhleni_dph_m'}->set_history($MyMoney{'MainCfg'}->get('DanovaKalkulacka_zaokrouhleni_dph_m'));
    } else {
        $MyUI->FORM->{'zaokrouhleni_dph_m'}->set_history(2);
    };
    #if($MyMoney{'MainCfg'}->get('DanovaKalkulacka_zaokrouhleni_ceny_celkem')) {
    #    $MyUI->FORM->{'zaokrouhleni_ceny_celkem'}->set_history($MyMoney{'MainCfg'}->get('DanovaKalkulacka_zaokrouhleni_ceny_celkem'));
    #} else {
    #    $MyUI->FORM->{'zaokrouhleni_ceny_celkem'}->set_history(0);
    #};
    #if($MyMoney{'MainCfg'}->get('DanovaKalkulacka_zaokrouhleni_ceny_celkem_m')) {
    #    $MyUI->FORM->{'zaokrouhleni_ceny_celkem_m'}->set_history($MyMoney{'MainCfg'}->get('DanovaKalkulacka_zaokrouhleni_ceny_celkem_m'));
    #} else {
    #    $MyUI->FORM->{'zaokrouhleni_ceny_celkem_m'}->set_history(0);
    #};
    #if($MyMoney{'MainCfg'}->get('DanovaKalkulacka_zaokrouhleni_ceny_celkem_rozpoustet')) {
    #    $MyUI->FORM->{'zaokrouhleni_ceny_celkem_rozpoustet'}->set_history($MyMoney{'MainCfg'}->get('DanovaKalkulacka_zaokrouhleni_ceny_celkem_rozpoustet'));
    #} else {
    #    $MyUI->FORM->{'zaokrouhleni_ceny_celkem_rozpoustet'}->set_history(0);
    #};
    $setup_values=0;
    $MyUI->zaokrouhlenidph_changed;
    #$MyUI->zaokrouhlenicelkem_changed;
    $window->TOPLEVEL->set_title('Daňová kalkulačka');
    $MyMoney{'MainCfg'}->window_open("DanovaKalkulacka",$self->TOPLEVEL);
    $window->TOPLEVEL->show;
    Gtk2->main;
};

sub on_button_close_clicked {
    $MyMoney{'MainCfg'}->window_close("DanovaKalkulacka",$MyUI->TOPLEVEL);
    $MyUI->TOPLEVEL->hide;
    Gtk2->main_quit;
};

sub on_DanovaKalkulacka_unrealize {
    $MyMoney{'MainCfg'}->window_close("DanovaKalkulacka",$MyUI->TOPLEVEL);
    Gtk2->main_quit;
};

sub zaokrouhlenidph_changed {
    $MyUI->FORM->{'_danova_kalkulacka'}->set_zaokrouhleni_dph($MyUI->FORM->{'zaokrouhleni_dph'}->get_history,$MyUI->FORM->{'zaokrouhleni_dph_m'}->get_history);
    if($MyUI->FORM->{'zaokrouhleni_dph'}->get_history eq 0) {
        $MyUI->FORM->{'zaokrouhleni_dph_m'}->set_sensitive(0);
    } else {
        $MyUI->FORM->{'zaokrouhleni_dph_m'}->set_sensitive(1);
    };
    $MyMoney{'MainCfg'}->set('DanovaKalkulacka_zaokrouhleni_dph',$MyUI->FORM->{'zaokrouhleni_dph'}->get_history);
    $MyMoney{'MainCfg'}->set('DanovaKalkulacka_zaokrouhleni_dph_m',$MyUI->FORM->{'zaokrouhleni_dph_m'}->get_history);
    if(!$setup_values) {
        $MyUI->FORM->{'_danova_kalkulacka'}->prepocitat;
    };
};

#sub zaokrouhlenicelkem_changed {
#    $MyUI->FORM->{'_danova_kalkulacka'}->set_zaokrouhleni_ceny_celkem($MyUI->FORM->{'zaokrouhleni_ceny_celkem'}->get_history,$MyUI->FORM->{'zaokrouhleni_ceny_celkem_m'}->get_history,$MyUI->FORM->{'zaokrouhleni_ceny_celkem_rozpoustet'}->get_history);
#    if($MyUI->FORM->{'zaokrouhleni_ceny_celkem'}->get_history eq 0) {
#        $MyUI->FORM->{'zaokrouhleni_ceny_celkem_m'}->set_sensitive(0);
#        $MyUI->FORM->{'label998'}->set_sensitive(0);
#        $MyUI->FORM->{'zaokrouhleni_ceny_celkem_rozpoustet'}->set_sensitive(0);
#    } else {
#        $MyUI->FORM->{'zaokrouhleni_ceny_celkem_m'}->set_sensitive(1);
#        $MyUI->FORM->{'label998'}->set_sensitive(1);
#        $MyUI->FORM->{'zaokrouhleni_ceny_celkem_rozpoustet'}->set_sensitive(1);
#    };
#    $MyMoney{'MainCfg'}->set('DanovaKalkulacka_zaokrouhleni_ceny_celkem',$MyUI->FORM->{'zaokrouhleni_ceny_celkem'}->get_history);
#    $MyMoney{'MainCfg'}->set('DanovaKalkulacka_zaokrouhleni_ceny_celkem_m',$MyUI->FORM->{'zaokrouhleni_ceny_celkem_m'}->get_history);
#    $MyMoney{'MainCfg'}->set('DanovaKalkulacka_zaokrouhleni_ceny_celkem_rozpoustet',$MyUI->FORM->{'zaokrouhleni_ceny_celkem_rozpoustet'}->get_history);
#};
#
#sub on_button_vypocet_clicked {
#    $MyUI->FORM->{'_danova_kalkulacka'}->zaokrouhleni_celkem;
#};

1;
